import { Command, flags } from '@anycli/command';
import { info } from '../project';
export default class Build extends Command {
    static flags: {
        os: flags.IOptionFlag<string>;
        arch: flags.IOptionFlag<string>;
    };
    info: info.Info;
    workDir: string;
    os: string;
    arch: string;
    run(): Promise<void>;
    writeJSFiles(): void;
    scopedEnvVarKey(k: string): string;
    fetchNodeBin(): void;
}
