import { Command } from '@anycli/command';
import { info } from '../project';
export default class Release extends Command {
    static flags: {
        prerelease: {
            name: string;
            char?: "a" | "b" | "i" | "p" | "q" | "s" | "u" | "g" | "A" | "c" | "d" | "e" | "f" | "h" | "j" | "k" | "l" | "m" | "n" | "o" | "r" | "t" | "v" | "x" | "y" | "z" | "B" | "C" | "D" | "E" | "F" | "G" | "H" | "I" | "J" | "K" | "L" | "M" | "N" | "O" | "P" | "Q" | "R" | "S" | "T" | "U" | "V" | "X" | "Y" | "Z" | undefined;
            description?: string | undefined;
            hidden?: boolean | undefined;
            required?: boolean | undefined;
            env?: string | undefined;
            parse(input: boolean, context: any): boolean;
        } & {
            type: "boolean";
            allowNo: boolean;
        };
        draft: {
            name: string;
            char?: "a" | "b" | "i" | "p" | "q" | "s" | "u" | "g" | "A" | "c" | "d" | "e" | "f" | "h" | "j" | "k" | "l" | "m" | "n" | "o" | "r" | "t" | "v" | "x" | "y" | "z" | "B" | "C" | "D" | "E" | "F" | "G" | "H" | "I" | "J" | "K" | "L" | "M" | "N" | "O" | "P" | "Q" | "R" | "S" | "T" | "U" | "V" | "X" | "Y" | "Z" | undefined;
            description?: string | undefined;
            hidden?: boolean | undefined;
            required?: boolean | undefined;
            env?: string | undefined;
            parse(input: boolean, context: any): boolean;
        } & {
            type: "boolean";
            allowNo: boolean;
        };
    };
    info: info.Info;
    run(): Promise<void>;
    catch(err: any): Promise<void>;
}
