"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const qq = require("qqjs");
function info() {
    const root = process.cwd();
    const pjson = qq.readJSON([root, 'package.json']);
    const tmp = qq.path.join(root, 'tmp');
    const dist = qq.path.join(root, 'dist');
    pjson['bin-it'] = pjson['bin-it'] || {};
    let nodeVersion = pjson['bin-it'].node || process.versions.node;
    let bin = pjson.anycli.bin || Object.keys(pjson.bin) || pjson.name;
    const sha = qq.x('git', ['rev-parse', 'HEAD'], { stdio: [0, null, 2] }).stdout;
    // let debVersion = `${shortVersion}-1`
    // let unversionedBase = `${pjson.name}-${opts.os}-${opts.arch}`
    return {
        pjson,
        sha,
        name: pjson.name,
        root,
        tmp,
        version: pjson.version,
        dist,
        nodeVersion,
        bin,
    };
}
exports.info = info;
